@charset "utf-8";

html {
  scroll-behavior: smooth;
}

:root {
  --main-color: #ff6574;
  --text-color: #565656;
  --footer-bg: #ffe8ea;
  --footer-text: #a95b5b;
}

body {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-size: 12px;
  color: var(--text-color);
  background: #ffffff;
  line-height: 1.8;
  letter-spacing: 0;
}

body {
  opacity: 0;
  transition: opacity 1s ease;
}

body.fade {
  opacity: 1;
}

/* main {
  padding-top: 80px;
} */

/* 
@media screen and (min-width: 520px) {
  body {
    font-size: 14px;
  }
}

@media screen and (min-width: 960px) {
  body {
    font-size: 16px;
  }
}
   */

img {
  width: 100%;
  height: 100%;
}

p {
  /* 両端揃え */
  text-align: justify;
}

a {
  text-decoration: none;
  color: inherit;
}

ul {
  list-style: none;
}

/* =====SP見出しデフォルトサイズ=====*/
h1 {
  font-size: clamp(18px, 1.25vw, 32px);
}

h2 {
  font-size: clamp(16px, 2.2vw, 32px);
}

h3 {
  font-size: clamp(14px, 1.7vw, 24px);
}

p {
  font-size: clamp(14px, 1.1vw, 18px);
}

/*=====PC見出しデフォルトサイズ=====
@media screen and (min-width: 960px) {
  h1 {
    font-size: 48px;
  }

  h2 {
    font-size: 32px;
  }

  h3 {
    font-size: 24px;
  }
}

/* 以降ヘッダー・フッター・ハンバーガー・ボタン・ページタイトル・帯・CTA・下層のイントロ */

/* ====セクションタイトル==== */
.sec-title {
  width: 100%;
  max-width: 1000px;
  background-color: #ff6574;
  color: #fff;
  font-weight: bold;
  padding: 6px 0;
  border-radius: 0 50px 0 0;
  margin-bottom: 30px;
  padding-left: 9%;
}
@media screen and (min-width: 1025px) {
  .sec-title {
    width: 60%;
  }
}

@media screen and (min-width: 768px) {
  .sec-title {
    margin-bottom: 100px;
  }
}

/* =====下層メインビジュアル==== */
.subpage-mv {
  margin-bottom: 58px;
  position: relative;
  border-bottom: #ff6574 solid 1px;
}

.subpage-mv-text {
  width: calc(237 / 320 * 100%);
  padding: 9px calc(10 / 237 * 100%) 9px;
  border-radius: 0 40px 0 0;
  background-color: rgb(255, 255, 255);
  position: absolute;
  left: 0;
  bottom: 0;
}

.subpage-mv-img img {
  vertical-align: bottom;
}

.subpage-mv-img {
}

.subpage-mv-text h1 {
  font-family: "Zen Old Mincho", serif;
  font-weight: 400;
  letter-spacing: 0;
  font-size: clamp(18px, 18 / 320 * 100vw, 48px);
}

.btn-text::after {
  content: "";
  display: block;
  width: 100%;
  aspect-ratio: 166.79 / 4.83;
  background-image: url(../img/btn-arrow.svg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 100%;
}

/* ====button==== */
.link-btn {
  display: block;
  width: calc(218 / 237 * 100%);
  max-width: 300px;
  border: #ff6574 solid 1px;
  border-radius: 20px;
  cursor: pointer;
}

.btn-text {
  display: block;
  width: 100%;
  font-size: clamp(12px, 12 / 320 * 100vw, 24px);
}

.btn-text::after {
  content: "";
  display: block;
  width: 100%;
  aspect-ratio: 166.79 / 4.83;
  background-image: url(../img/btn-arrow.svg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 100%;
}

.link-btn .inner {
  width: calc(166.79 / 218 * 100%);
  margin: 0 auto;
}

.btn-en {
  display: block;
  font-size: 0.8334em;
  color: #ffb7be;
}

.link-btn {
  transition:
    transform 0.3s ease,
    box-shadow 0.3s ease;
}

.link-btn:hover {
  transform: translateY(-4px);
  box-shadow: 0 8px 20px rgba(255, 101, 116, 0.15);
}

.link-btn .btn-text::after {
  transition: transform 0.3s ease;
}

.link-btn:hover .btn-text::after {
  transform: scaleX(1.08) translateX(5px);
}

/* ==== header ==== */
header {
  position: fixed;
  top: 0;
  left: 0;

  width: 100%;

  transform: translateY(0);
  transition: transform 0.3s ease;

  z-index: 9999;
}

.header_wrap {
  background: #fff;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}

.header_ctt {
  width: calc(300 / 320 * 100%);
  height: 60px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

header.hide {
  transform: translateY(-100%);
}

@media screen and (min-width: 600px) {
  .header_ctt {
    height: 80px;
  }
}

@media screen and (min-width: 1025px) {
  .header_ctt {
    width: calc(1758 / 1920 * 100%);
    height: 94px;
  }
}

.header_ctt_wrap {
  display: flex;
  align-items: center;
  width: 100%;
}

/* logo */
.header_logo {
  display: block;
  width: calc(110 / 300 * 100%);
  max-width: 260px;
  flex-shrink: 0;
}

@media screen and (min-width: 600px) {
  .header_logo {
    width: calc(230 / 834 * 100%);
  }
}

@media screen and (min-width: 1025px) {
  .header_logo {
    width: calc(252 / 1758 * 100%);
    max-width: none;
  }
}

.header_logo img {
  width: 100%;
  height: auto;
}

/* ==== gnav ==== */
.gnav {
  display: flex;
  align-items: center;
  margin-left: auto;
}

/* SP〜iPadではナビだけ隠す */
.gnav_list {
  display: none;
}

@media screen and (min-width: 1025px) {
  .gnav {
    width: calc(100% - (252 / 1758 * 100%));
    justify-content: flex-end;
    gap: calc(80 / 1758 * 100%);
    margin-left: auto;
  }

  .gnav_list {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: calc(60 / 1758 * 100%);
    flex: 1;
  }
}

.gnav_list_item a {
  font-size: clamp(13px, calc(16 / 1920 * 100vw), 16px);
  color: #565656;
  white-space: nowrap;
  transition: 0.3s;
}

.gnav_list_item a {
  position: relative;
  transition: color 0.3s ease;
}

.gnav_list_item a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -6px;

  width: 100%;
  height: 1px;

  background-color: #ff6574;

  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease;
}

.gnav_list_item a:hover {
  color: #ff6574;
}

.gnav_list_item a:hover::after {
  transform: scaleX(1);
}

/* ==== reserve button ==== */
.lnk_reserve {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 6px;

  width: calc(83 / 320 * 100vw);
  min-width: 83px;
  max-width: 150px;
  height: 32px;

  padding: 0 12px;
  background: #ff6574;
  color: #fff;
  border-radius: 999px;

  margin-right: 30px;
}

@media screen and (min-width: 1024px) {
  .lnk_reserve {
    margin-right: 0;
  }
}

.lnk_reserve p,
.lnk_reserve span {
  margin: 0;
  font-size: 10px;
  line-height: 1;
  white-space: nowrap;
}

.lnk_img {
  width: 12px;
  flex-shrink: 0;
}

.lnk_img img {
  width: 100%;
  height: auto;
}

@media screen and (min-width: 600px) {
  .lnk_reserve {
    width: calc(170 / 834 * 100vw);
    max-width: 180px;
    height: 40px;
  }
}

@media screen and (min-width: 1025px) {
  .gnav .lnk_reserve {
    width: 198px;
    min-width: 198px;
    max-width: 198px;
    height: 48px;
    padding: 0 24px;
    gap: 10px;
    flex-shrink: 0;
  }

  .gnav .lnk_reserve p {
    font-size: 16px;
  }

  .gnav .lnk_img {
    width: 18px;
  }
}

.lnk_reserve {
  transition:
    transform 0.3s ease,
    box-shadow 0.3s ease;
}

.lnk_reserve:hover {
  transform: translateY(-3px);
  box-shadow: 0 8px 20px rgba(255, 101, 116, 0.2);
}

/* ==== hamburger ==== */
.hamburger {
  width: clamp(30px, calc(90 / 834 * 100vw), 90px);
  max-width: 60px;
  height: clamp(24px, calc(40 / 834 * 100vw), 40px);
  margin-left: auto;
  cursor: pointer;

  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

@media screen and (min-width: 1025px) {
  .hamburger {
    display: none;
  }
}

.hamburger span {
  display: block;
  width: 100%;
  height: 2px;
  background: #ff6574;
  transition: 0.4s;
}

/* ==== hamburger menu ==== */
.hamburger_ctt {
  position: relative;
}

.hamburger_menu {
  position: fixed;
  inset: 0;
  z-index: 8500;
  background: #fff;

  opacity: 0;
  visibility: hidden;
  pointer-events: none;

  padding-top: 130px;
  transition: 0.4s;
}

.hamburger_menu.open {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.hamburger_menu_list {
  width: calc(260 / 320 * 100%);
  margin: 0 auto;
  text-align: center;
}

.hamburger_menu_list li {
  margin-bottom: 32px;
}

.hamburger_menu_list a {
  color: #ff6574;
  font-size: 16px;
  font-weight: 700;
}

@media screen and (min-width: 1025px) {
  .hamburger_ctt {
    display: none;
  }
}

/* ====フッターさくら==== */
footer {
  position: relative;
  overflow: hidden;
}

.petal {
  position: absolute;
  opacity: 1;
  pointer-events: none;
}

.petal1 {
  top: 40px;
  left: 50%;
  width: 100px;
  transform: rotate(20deg);
}

.petal2 {
  top: 150px;
  right: 12%;
  width: 180px;
  transform: rotate(-35deg);
}

.petal3 {
  bottom: 120px;
  left: 70%;
  width: 90px;
  transform: rotate(15deg);
}
/* ====フッター==== */

footer {
  width: 100%;
  padding-top: 13px;
  background-color: #ffe8ea;
}

.footer-inner {
  width: calc(300 / 320 * 100%);
  margin: 0 auto;
  padding-top: 20px;
  border-top: 1px solid #ff6574;
}

@media screen and (min-width: 1025px) {
  .footer-inner {
    width: 100%;
    margin: auto;
    padding: 40px 50px 0;
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
  }
}

.sitemap {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 12px 20px;
  margin-bottom: 32px;

  color: #ff6574;
  font-weight: 700;
}

@media screen and (min-width: 1025px) {
  .sitemap {
    width: 420px;
    gap: 20px 60px;
  }
}

.sitemap a {
  position: relative;
  display: inline-block;

  font-size: clamp(12px, 1vw, 24px);

  transition: color 0.3s ease;
}

.sitemap a::after {
  content: "";
  position: absolute;

  left: 0;
  bottom: -3px;

  width: 100%;
  height: 1px;

  background-color: #ff6574;

  transform: scaleX(0);
  transform-origin: left center;

  transition: transform 0.3s ease;
}

.sitemap a:hover {
  color: #f3a4ac;
}

.sitemap a:hover::after {
  transform: scaleX(1);
}
.footer-info {
  margin-bottom: 24px;
}

@media screen and (min-width: 1025px) {
  .footer-info {
    display: block;
    justify-content: space-between;
    align-items: flex-end;
    margin-bottom: 40px;
  }
}

.footer-logo {
  display: block;
  width: calc(120 / 300 * 100%);
  margin-bottom: 12px;
}

@media screen and (min-width: 1025px) {
  .footer-logo {
    width: 252px;
    margin-bottom: 30px;
  }
}

.footer-logo img {
  width: 100%;
  height: auto;
}

.access p {
  font-size: 12px;
  line-height: 1.8;
  color: #a95b5b;
}

@media screen and (min-width: 1025px) {
  .access {
    text-align: right;
  }
}

.privacypolicy {
  width: calc(300 / 320 * 100%);
  margin: 0 auto;
  margin-bottom: 20px;
  font-size: 12px;
  padding: 0;
  color: #a95b5b;
}
@media screen and (min-width: 1025px) {
  .privacypolicy {
    padding: 0 50px;
    margin: 0 0 5px 0;
  }
}

.footer-end {
  padding: 0;
  width: calc(300 / 320 * 100%);
  margin: 0 auto;
}

@media screen and (min-width: 1025px) {
  .footer-end {
    display: flex;
    gap: 20px;
    align-items: center;
    padding: 20px 50px 90px 50px;
    margin: 0;
  }
}

.footer-end p {
  font-size: 10px;
  color: #a95b5b;
}

.copyright {
  margin-bottom: 6px;
}

@media screen and (min-width: 1025px) {
  .copyright {
    margin-bottom: 0;
  }
}

/* ====下層ページmv==== */
.subpage-mv {
  margin-bottom: 58px;
  position: relative;
  border-bottom: #ff6574 solid 1px;
}

.subpage-mv-text {
  width: calc(237 / 320 * 100%);
  padding: 9px calc(10 / 237 * 100%) 9px;
  border-radius: 0 40px 0 0;
  background-color: rgb(255, 255, 255);
  position: absolute;
  left: 0;
  bottom: 0;
}

.subpage-mv-img img {
  vertical-align: bottom;
}

.subpage-mv-text h1 {
  font-family: "Zen Old Mincho", serif;
  font-weight: 400;
  letter-spacing: 0;
  font-size: clamp(18px, 18 / 320 * 100vw, 48px);
}

/*  ====フッター前CTA==== */
.cta {
  width: 100%;
  margin-top: 60px;
  margin-bottom: 20px;
  padding: 0 16px;
}

.cta-text {
  width: calc(270 / 320 * 100%);
  margin-bottom: 18px;
  font-size: clamp(12px, 1.4vw, 20px);
}

.cta .link-btn {
  width: calc(145 / 270 * 100%);
  margin-bottom: 60px;
}

/* !!!SlickのSlideにのみ適応される感覚の開け方。cssで使うgapは使えない。 */
.slick-slide {
  margin: 0 9px;
}

.slide-img {
  aspect-ratio: 3 / 4;
  overflow: hidden;
  border-radius: 10px;
}

.slide-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.slick-list {
  margin: 0 -9px;
}

/* ====accordion==== */
.accordion-list {
  width: calc(300 / 320 * 100%);
  margin: 0 auto 35px;
  max-width: 700px;
}

@media screen and (min-width: 768px) {
  .accordion-list span {
    font-size: 16px;
  }
}

.accordion-title {
  position: relative;
  border-bottom: #ff6574 solid 1px;
  margin-bottom: 10px;
}

@media screen and (min-width: 768px) {
  .accordion-list br {
    display: none;
  }
  .accordion-title {
    margin-bottom: 30px;
  }
}

.accordion-title::after {
  position: absolute;
  right: 0;
  top: 50%;

  /* transformが親要素を元に50%の位置から始まる、translateYで自分自身の位置を戻す */
  transform: translateY(-50%);

  display: block;
  content: "";
  width: 14px;
  aspect-ratio: 14 / 10;
  background-image: url(../img/accordion-arrow.svg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 100% 100%;

  transition: 0.6s;
}

.accordion-list.open .accordion-title::after {
  transform: rotate(180deg) translateY(50%);
  transform-origin: center center;
}

.accordion-content {
  display: none;
}

.chr {
  color: #ff6574;
}

.txt {
  width: calc(270 / 320 * 100%);
}
